MacPorts 2.6 - Leopard 20.6 and libgcc8

Chris Jones jonesc at hep.phy.cam.ac.uk
Tue Sep 24 22:47:08 UTC 2019


Hi,

Indeed, gcc8 is not supported on 10.5 or older, and likely will never be.

What is requiring you to use libgcc8 ? You should instead be using libgcc7 on that platform. Note this is what the libgcc port is there for, to set up this dependency correctly.

https://github.com/macports/macports-ports/blob/master/lang/libgcc/Portfile

Chris

> On 24 Sep 2019, at 11:40 pm, Riccardo Mottola via macports-users <macports-users at lists.macports.org> wrote:
> 
> ´╗┐Hi,
> 
> I don't know if it is related to the 2.6 upgrade or it is "just" an upgrade, but on Leopard 10.5, I get the following:
> 
> --->  Cleaning curl
> --->  Removing work directory for curl
> --->  Computing dependencies for libgcc8.
> --->  Fetching archive for libgcc8
> --->  libgcc8-8.3.0_5.darwin_9.x86_64.tbz2 doesn't seem to exist in /opt/local/var/macports/incoming/verified
> --->  Attempting to fetch libgcc8-8.3.0_5.darwin_9.x86_64.tbz2 from http://lil.fr.packages.macports.org/libgcc8
> 
>  % Total    % Received % Xferd  Average Speed   Time    Time     Time Current
>                                 Dload  Upload   Total   Spent    Left Speed
>  0     0    0     0    0     0      0      0 --:--:--  0:00:04 --:--:--     0--->  Attempting to fetch libgcc8-8.3.0_5.darwin_9.x86_64.tbz2 from http://nue.de.packages.macports.org/libgcc8
> 
>  % Total    % Received % Xferd  Average Speed   Time    Time     Time Current
>                                 Dload  Upload   Total   Spent    Left Speed
>  0     0    0     0    0     0      0      0 --:--:--  0:00:04 --:--:--     0--->  Attempting to fetch libgcc8-8.3.0_5.darwin_9.x86_64.tbz2 from http://fco.it.packages.macports.org/mirrors/macports-packages/libgcc8
> 
>  % Total    % Received % Xferd  Average Speed   Time    Time     Time Current
>                                 Dload  Upload   Total   Spent    Left Speed
>  0     0    0     0    0     0      0      0 --:--:--  0:00:04 --:--:--     0--->  Fetching distfiles for libgcc8
> Error: gcc8 8.3.0 is not supported on Darwin 9
> Error: Failed to fetch libgcc8: incompatible OS X version
> Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_lang_gcc8/libgcc8/main.log for details.
> Error: Problem while installing libgcc8
> Error: Follow https://guide.macports.org/#project.tickets to report a bug.
> 
> 
> now... it means I can't have (yet) gcc8...
> Maybe we can make the dependency of libgcc less stringgend... or Ken is already doing some magic for gcc 8 support?
> 
> In my experience, gcc 8 is an evolution of gcc6 which is a "good" compiler, but gcc8 broke quite some things (like... ArcticFox compilation)
> 
> Riccardo
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macports.org/pipermail/macports-users/attachments/20190924/7e586d02/attachment.html>


More information about the macports-users mailing list